#include "error.h"
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

char *errch = NULL;
int   errno = 0;

char *error_set(char *text, ...) {
  if (NULL != errch)
    free(errch);

  va_list args, argscp;
  va_start(args, text);
  va_copy(argscp, args);

  int size = vsnprintf(NULL, 0, text, args);

  errch = malloc(size + 1);
  bzero(errch, size + 1);
  vsprintf(errch, text, argscp);

  va_end(argscp);
  va_end(args);
  return errch;
}
