#include "util.h"
#include <stdbool.h>

typedef struct target {
  struct target *next;
  clist_t        require;
  bool           nogen;
  char          *name;
  char          *desc;
  char          *src;
  char          *dst;
} target_t;

bool target_is_valid(target_t *);
void target_init(target_t *);
void target_free(target_t *);
bool target_copy(target_t *, bool);
void target_print(target_t *);
